Saltar al contenido principal
pdf?stylesheet=default
Blackboard Help

Video Everywhere

Nombre: Building Block de editor de contenido

Fecha de publicación: 05.11.14

Versión mínima de Learn

Blackboard Learn 9.1 de octubre de 2014

Descripción

Google anunció que OAuth 1.0 (la API que usaba Google para autenticación o autorización) se considerará obsoleta de manera oficial a partir del 20 de abril de 2015. Para que Video Everywhere, la API de Flickr y otros componentes que usan la autorización de Google sigan funcionando con nuestro producto, debemos integrarla con OAuth 2.0 antes de la fecha de obsolescencia indicada anteriormente. Estas son las únicas funciones de Learn que podrían resultar afectadas.

Cuando se complete este proyecto, los usuarios podrán usar correctamente varias funciones de vídeo en Learn sin problemas de autenticación. Como es una herramienta que funciona de forma conjunta con YouTube, el complemento TinyMCE de Video Everywhere requiere un mecanismo para autenticar a los usuarios en el sistema de YouTube/Google. Este paso de autenticación es necesario para poder usar las API de YouTube API en Learn en representación de un usuario. Estas API nos permitirán visualizar, registrar y cargar vídeos en nombre de un usuario.

OAuth 2.0 es la tecnología de autenticación elegida por Google. En Learn usamos la API de JavaScript del lado cliente de Google para realizar solicitudes de autenticación a Google.

Para obtener más información, consulte Video Everywhere.

Estado predeterminado

Activado

Desactivación o eliminación del Building Block

  • Los profesores y los alumnos no podrán usar la función Video Everywhere del editor de contenido.

Roles

  • Pueden usar Video Everywhere todos los roles que tengan acceso al editor de contenido.
  • Los administradores del sistema pueden habilitar o deshabilitar Video Everywhere en todo el sistema.
  • Los profesores pueden habilitar o deshabilitar Video Everywhere en cada curso.

Para obtener más información, consulte Roles y privilegios.

Dependencias

  • Estos cambios requieren la instalación de Blackboard Learn 9.1 de octubre de 2014.